<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/ButtonsCommanderSwitchOnePin.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('ButtonsCommanderSwitchOnePin_8hpp_source.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">ButtonsCommanderSwitchOnePin.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __buttonsCommanderSwitchOnePin_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __buttonsCommanderSwitchOnePin_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="Commanders_8h.html">Commanders.h</a>&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#ifndef NO_BUTTONSCOMMANDER</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef NO_BUTTONSCOMMANDERSWITCH</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classButtonsCommanderSwitchOnePin.html">   20</a></span>&#160;<span class="keyword">class </span><a class="code" href="classButtonsCommanderSwitchOnePin.html">ButtonsCommanderSwitchOnePin</a> : <span class="keyword">public</span> <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;{</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; <span class="keyword">private</span>:</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    GPIO_pin_t Pin;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> debounceDelay;    <span class="comment">// the debounce time; increase if the output flickers</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    GPIO_pin_t lastSelectedPin;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keywordtype">int</span> lastButtonState;   <span class="comment">// the previous reading from the current input pin</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> lastDebounceTime;  <span class="comment">// the last time the current output pin was toggled</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    </div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <a class="code" href="classButtonsCommanderSwitchOnePin.html#a8c43c44b9408bb887107e09407f2ea5c">ButtonsCommanderSwitchOnePin</a>();</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    </div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classButtonsCommanderSwitchOnePin.html#af30fa302f6149e466ec241ee5b9c6fba">begin</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, <span class="keywordtype">int</span> inPin);</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classButtonsCommanderSwitchOnePin.html#af4a18cad9ddbb3f59ebe3e83e446a377">beforeFirstLoop</a>();</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classButtonsCommanderSwitchOnePin.html#a13b39217d1b55574422ea1d8bded0f62">loop</a>();</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#ifdef COMMANDERS_PRINT_COMMANDERS</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="keywordtype">void</span> printCommander();</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;};</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classButtonsCommanderSwitchOnePin_html_a13b39217d1b55574422ea1d8bded0f62"><div class="ttname"><a href="classButtonsCommanderSwitchOnePin.html#a13b39217d1b55574422ea1d8bded0f62">ButtonsCommanderSwitchOnePin::loop</a></div><div class="ttdeci">unsigned long loop()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderSwitchOnePin_8cpp_source.html#l00038">ButtonsCommanderSwitchOnePin.cpp:38</a></div></div>
<div class="ttc" id="classButtonsCommanderSwitchOnePin_html_af4a18cad9ddbb3f59ebe3e83e446a377"><div class="ttname"><a href="classButtonsCommanderSwitchOnePin.html#af4a18cad9ddbb3f59ebe3e83e446a377">ButtonsCommanderSwitchOnePin::beforeFirstLoop</a></div><div class="ttdeci">void beforeFirstLoop()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderSwitchOnePin_8cpp_source.html#l00025">ButtonsCommanderSwitchOnePin.cpp:25</a></div></div>
<div class="ttc" id="classButtonsCommanderSwitchOnePin_html_af30fa302f6149e466ec241ee5b9c6fba"><div class="ttname"><a href="classButtonsCommanderSwitchOnePin.html#af30fa302f6149e466ec241ee5b9c6fba">ButtonsCommanderSwitchOnePin::begin</a></div><div class="ttdeci">void begin(unsigned long inId, int inPin)</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderSwitchOnePin_8cpp_source.html#l00017">ButtonsCommanderSwitchOnePin.cpp:17</a></div></div>
<div class="ttc" id="classButtonsCommanderSwitchOnePin_html_a8c43c44b9408bb887107e09407f2ea5c"><div class="ttname"><a href="classButtonsCommanderSwitchOnePin.html#a8c43c44b9408bb887107e09407f2ea5c">ButtonsCommanderSwitchOnePin::ButtonsCommanderSwitchOnePin</a></div><div class="ttdeci">ButtonsCommanderSwitchOnePin()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderSwitchOnePin_8cpp_source.html#l00011">ButtonsCommanderSwitchOnePin.cpp:11</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html"><div class="ttname"><a href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00015">ButtonsCommanderButton.hpp:15</a></div></div>
<div class="ttc" id="classButtonsCommanderSwitchOnePin_html"><div class="ttname"><a href="classButtonsCommanderSwitchOnePin.html">ButtonsCommanderSwitchOnePin</a></div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderSwitchOnePin_8hpp_source.html#l00020">ButtonsCommanderSwitchOnePin.hpp:20</a></div></div>
<div class="ttc" id="Commanders_8h_html"><div class="ttname"><a href="Commanders_8h.html">Commanders.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>ButtonsCommanderSwitchOnePin.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
